Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78340 - Sources: Malformed UTF-8 character (unexpected continuation byte 0xa0, with no preceding start byte) in configure.in
Summary: Sources: Malformed UTF-8 character (unexpected continuation byte 0xa0, with n...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: xmms
Version: 8.0
Hardware: i686
OS: Linux
medium
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-21 15:56 UTC by Sysoltsev Slawa
Modified: 2014-03-17 02:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-01-29 04:31:57 UTC


Attachments (Terms of Use)
Patch which eliminates mailformed symbol from configure.in (deleted)
2002-11-21 15:58 UTC, Sysoltsev Slawa
no flags Details | Diff

Description Sysoltsev Slawa 2002-11-21 15:56:26 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
Compiling xmms from sources I received strange error message just after 
configuration stage:

#make
cd . && autoheader
WARNING: Using auxiliary files such as `acconfig.h', `config.h.bot'
WARNING: and `config.h.top', to define templates for `config.h.in'
WARNING: is deprecated and discouraged.

WARNING: Using the third argument of `AC_DEFINE' and
WARNING: `AC_DEFINE_UNQUOTED' allows to define a template without
WARNING: `acconfig.h':

WARNING:   AC_DEFINE([NEED_MAIN], 1,
WARNING:             [Define if a function `main' is needed.])

WARNING: More sophisticated templates can also be produced, see the
WARNING: documentation.
Malformed UTF-8 character (unexpected continuation byte 0xa0, with no preceding 
start byte) at /users/compiler/tmp/ahYkkldA/traces
.pl line 350.
autoheader: `config.h.in' is updated
cd . \
  && CONFIG_FILES= CONFIG_HEADERS=config.h \
     /bin/sh ./config.status
creating config.h
make  all-recursive

As a result config.h contain unprintable symbol which may cause compilation 
error for some compilers. 
I found that mailformed UTF-8 character comes from configure.in : line 592 
(AC_DEFINE(DISABLE_USER_PLUGIN_DIR,,.[Define to disable per user plugin 
directory])). Probably you typed it occasionally; it should be removed to 
increase Red Hat Linux portablity.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. build binaries from source rpms.
2.
3.
	

Actual Results:  autoheader emits warning.
If you use compiler that doesn't ignore mailformed symbols you will get 
compilation error.

Expected Results:  Smoothly built package.

Additional info:

I'll attach the patch which removes mailformed symbol from configure.in.

Comment 1 Sysoltsev Slawa 2002-11-21 15:58:14 UTC
Created attachment 85911 [details]
Patch which eliminates mailformed symbol from configure.in

Comment 2 Bill Nottingham 2004-01-29 04:31:57 UTC
I believe this is fixed in current tarballs.


Note You need to log in before you can comment on or make changes to this bug.